# pymatgen.util.sequence module

This module provides utilities to chunk large sequences and display progress bars during processing.

class PBarSafe(total, **kwargs)

  Bases: `object`

  Progress bar.

  Parameters

    () (total) – Total value.

  report()

    Print progress.

  update(amount)

    Update progress bar by amount.

    Parameters

      amount (float) –

get_chunks(sequence, size=1)
  Parameters

    - () (size) –

    - () –

  Returns: